# note: uses name after egg/pypi; import name is "yaml", source is "pyyaml"
#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# unit tests

%define		module		PyYAML
Summary:	YAML parser and emitter module for Python 2
Summary(pl.UTF-8):	Analizator i generator formatu YAML dla języka Python 2
Name:		python-%{module}
# keep 5.x here for python2 support
Version:	5.4.1.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://github.com/yaml/pyyaml/tags
Source0:	https://github.com/yaml/pyyaml/archive/%{version}/pyyaml-%{version}.tar.gz
# Source0-md5:	6ea31369c4e4c852a58e772592c971e7
URL:		https://github.com/yaml/pyyaml
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildRequires:	yaml-devel >= 0.2.2
%if %{with python2}
BuildRequires:	python-Cython
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
%endif
Requires:	python-modules >= 1:2.7
Requires:	yaml >= 0.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and
emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%description -l pl.UTF-8
YAML jest formatem serializacji danych czytelnym dla człowieka,
zaprojektowanym do interakcji w językach skryptowych. PyYAML jest
analizatorem i generatorem tego formatu dla języka Python.

PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode, serializację
poprzez piklowanie, rozszerzalne API oraz zrozumiałe komunikaty
błędów. Obsługuje standardowe znaczniki YAML i dostarcza nowe,
specyficzne dla języka Python, pozwalające na reprezentację jego
obiektów.

PyYAML może być użyty w szerokiej gamie zastosowań, od złożonych
plików konfiguracyjnych po serializację i przechowywanie obiektów.

%package -n python3-%{module}
Summary:	YAML parser and emitter module for Python 3
Summary(pl.UTF-8):	Analizator i generator formatu YAML dla języka Python 3
Group:		Libraries/Python
Requires:	yaml >= 0.2.2
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

%description -n python3-%{module} -l pl.UTF-8
PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode, serializację
poprzez piklowanie, rozszerzalne API oraz zrozumiałe komunikaty
błędów. Obsługuje standardowe znaczniki YAML i dostarcza nowe,
specyficzne dla języka Python, pozwalające na reprezentację jego
obiektów.

%prep
%setup -q -n pyyaml-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py --with-libyaml \
	build --build-base build-2 %{?with_tests:test}
%endif
%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py --with-libyaml \
	build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/yaml-highlight/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__sed} -i -e '1s,/usr/bin/python,%{__python},' $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/yaml_hl.py
%endif

%if %{with python3}
%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-PyYAML-%{version}
cp -p examples/yaml-highlight/* $RPM_BUILD_ROOT%{_examplesdir}/python3-PyYAML-%{version}
%{__sed} -i -e '1s,/usr/bin/python,%{__python3},' $RPM_BUILD_ROOT%{_examplesdir}/python3-PyYAML-%{version}/yaml_hl.py
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%dir %{py_sitedir}/_yaml
%{py_sitedir}/_yaml/*.py[co]
%dir %{py_sitedir}/yaml
%{py_sitedir}/yaml/*.py[co]
%attr(755,root,root) %{py_sitedir}/yaml/_yaml.so
%{py_sitedir}/PyYAML-5.4.1-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%dir %{py3_sitedir}/_yaml
%{py3_sitedir}/_yaml/*.py
%{py3_sitedir}/_yaml/__pycache__
%dir %{py3_sitedir}/yaml
%{py3_sitedir}/yaml/*.py
%{py3_sitedir}/yaml/__pycache__
%attr(755,root,root) %{py3_sitedir}/yaml/_yaml.cpython-*.so
%{py3_sitedir}/PyYAML-5.4.1-py*.egg-info
%{_examplesdir}/python3-PyYAML-%{version}
%endif
%changelog
* Fri Sep 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyYAML.git;a=log;h=master

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> cb10f43
- up to 5.4.1.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9d1c0d0
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e8b07eb
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e497b82
- rebuild with python 3.10

* Sun May 02 2021 Jan Palus <atler@pld-linux.org> a93b866
- up to 5.4.1 (fixes CVE-2020-14343)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 46c1748
- release 2 (by relup.sh)

* Fri Jun 05 2020 Jakub Bogusz <qboosh@pld-linux.org> f1f4cf2
- updated to 5.3.1

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> a6da519
- fix examples shebangs; release 2

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 012d13b
- updated to 5.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a83c530
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> e21809f
- updated to 5.1
- actually added tests bcond; requires libyaml 0.2.2 for all tests to pass

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 02d6b64
- cleanup, added examples also to python3 package

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 79ff602
- up to 4.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ff89bc
- python 3.7 rebuild
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 74805ef
- python 3.6
- release 2 (by relup.sh)

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> bdf2691
- updated to 3.12

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> fc605b9
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d665513
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cccc95d
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c9228ae
- automatic change: use py_build/py_install macros

